[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[jira] [Commented] (ARIES-1814) Solve the start order limitations with SPI Fly


    [ https://issues.apache.org/jira/browse/ARIES-1814?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16545687#comment-16545687 ] 

ASF subversion and git services commented on ARIES-1814:
--------------------------------------------------------

Commit 1836062 from rotty3000@xxxxxxxxxx in branch 'aries/trunk'
[ https://svn.apache.org/r1836062 ]

ARIES-1814 Solve the start order limitations with SPI Fly by first creating a framework extension

Signed-off-by: Raymond Auge <rotty3000@xxxxxxxxxx>

> Solve the start order limitations with SPI Fly
> ----------------------------------------------
>
>                 Key: ARIES-1814
>                 URL: https://issues.apache.org/jira/browse/ARIES-1814
>             Project: Aries
>          Issue Type: Improvement
>          Components: SPI Fly
>            Reporter: Raymond Augé
>            Assignee: Raymond Augé
>            Priority: Major
>
> A couple of aspects to try:
> - create a new SPI Fly artifact which is a framework fragment
> - likely needs to embed ASM and Aries Util
> -- maybe use the bnd instruction {{-conditionalpackage}} (which in maven-bundle-plugin becomes {{<_conditionalpackage>}}, same syntax as Import-Package



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)